
Auto Multiple Choice - Feature # 63: default dir for printing

Status: Closed Priority: Normal
Author: Pieter  Van den Hombergh Category:
Created: 06/06/2012 Assignee:
Updated: 12/18/2012 Due date:
Description: My practice is to store all files relevant for exam production in one directory tree, including the pdf produced 

by printing to file. I use 'copies' as name for this subdir. as in *~/MC-Projects/lnx_20120629/copies*.

It would be nice to have this option (a project relative directory) in the destination directories list.

History
09/06/2012 04:07 pm - Alexis Bienvenüe
- Status changed from New to Feedback

From revision r1130, if you choose a subdirectory of the project directory when printing to files (for example ~/MC-Projects/lnx_20120629/copies), next 
time you print to files, the directory will be adapted to the project you print from (from project lny_2012, the default directory to print to will be 
~/MC-Projects/lny_2012/copies). Is this suitable for your purpose?

09/14/2012 01:19 pm - Pieter  Van den Hombergh
Hello again,
Course and exam season has started again.

I (svn) updated and created the deb package, installed that, such that I now run svn revision 1133.

I observe no difference in behaviour from how I printed last time, but maybe I am not looking properly.
In the previous version (last used in July) I could already specify a printing directory. 
Is this option now saved in the project *options.xml* file or is the _relative directory name_ saved (or suggested from) elsewhere? 

09/14/2012 01:23 pm - Alexis Bienvenüe
Yes, this path is saved in @options.xml@, as it already was. But now, the directory @~/MC-Projects/lnx_20120629/copies@ used in project 
lnx_20120629 is saved as @%PROJECT/copies@, so that when you use printing from another project, the path is adapted.

09/14/2012 04:14 pm - Pieter  Van den Hombergh
Looks like a very compatible change then.
At the moment I made my MC-Projects-tree a bit deeper: I use the academic year (2012-2013) as an extra level.
In what options.xml file should I look to verify the saved choice?

09/14/2012 04:16 pm - Pieter  Van den Hombergh
Could that be in
<pre>
 ~/.AMC.d/cf.default.xml
</pre>

09/14/2012 04:22 pm - Pieter  Van den Hombergh
Confirmed.
Works ad advertised.
Nice work and thank you very much again.
09/14/2012 08:49 pm - Alexis Bienvenüe
- Status changed from Feedback to Resolved

Pieter  Van den Hombergh wrote:
> Could that be in
> ~/.AMC.d/cf.default.xml

Oh yes I made a mistake, and you discovored the right place the path is stored!

12/18/2012 05:53 pm - Alexis Bienvenüe
- Target version set to 1.2.0

- % Done changed from 0 to 100

- Status changed from Resolved to Closed
